<?php
/**
 * Directory where you source image files live
 */
$rawDir = '/var/lib/surrogator/';

/**
 * Directory in which all the image files get generated into.
 * You could put that to /var/cached/avatars/ or so
 */
$varDir = '/var/cache/surrogator/';

/**
 * Document root of the web server host.
 */
$wwwDir = '/usr/share/surrogator/www/';

/**
 * Directory of default resource files.
 * You probably do not want to change that.
 */
$resDir = '/usr/share/surrogator/res/';

/**
 * Array of image sizes to generate.
 * Needs to be in ascending order.
 */
$sizes   = array(16, 32, 48, 64, 80, 96, 128, 256, 512);

/**
 * Maximum image size supported by the server
 */
$maxSize = 512;

/**
 * Default log level. 0 for no logging, 1 for important messages, 3 for all
 */
$logLevel = 1;

/**
 * By default, images are only generated if their source file (in raw/)
 * is newer than the generated square file. If you set $forceUpdate
 * to true, the images will always be regenerated.
 */
$forceUpdate = false;

/**
 * URL prefixes that may be used as "default" parameter.
 *
 * Taken from https://git.linux-kernel.at/oliver/ivatar/-/blob/master/config.py
 */
$trustedDefaultUrls = [
    'http://gravatar.com/avatar/',
    'http://www.planet-libre.org/themes/planetlibre/images/',
    'https://avatars.dicebear.com/api/',
    'https://badges.fedoraproject.org/static/img/',
    'https://gravatar.com/avatar/',
    'https://secure.gravatar.com/avatar/',
    'https://ui-avatars.com/api/',
    'https://www.azuracast.com/img/',
];
?>
